Subject: Re: [PATCH] Teach mailsplit about Maildir's

From: Johan Herland <[email-masked]>
Date: Sun, 20 May 2007 21:27:17 +0200

On Sunday 20 May 2007, Fernando J. Pereda wrote:
> On Sun, May 20, 2007 at 08:53:32PM +0200, Johan Herland wrote:
> > I use KMail with Maildir for all my mail, except for my "patches" mail folder 
> > where I copy patches to import into my repos (which is in mbox format). 
> > KMail makes it easy to mix mbox and Maildir folders, so it's not really a 
> > big deal for me, but I would of course prefer Maildir support if it's 
> > possible to get it right.
> > 
> > Not sure how I feel about the usefulness of the patch if it requires correct 
> > sorting, and most mail clients turn out to _not_ sort correctly. Of course 
> > I have no idea what most mail clients do, but KMail seems to get it about 
> > right, AFAICS (mail filename starts with timestamp, so they're at least 
> > sorted roughly on (arrival) date).
> 
> [ I sent this only to Johan, re-sending to the rest of the people now.
> Sorry Johan for the dupe ]
> 
> I discussed this with a pine user in #git and we concluded (looking at
> the respective code) that both Mutt and Pine generate correct filenames
> based on when that mail arrived to the Maildir.
> 
> I use Mutt, and to test it I picked a thread that didn't arrive in
> order, tagged and copied it to a different Maildir, patches were
> splitted in correct order.

Well, if Mutt, Pine, and KMail all get it right, then it looks like a 
useful feature to add.

Does anybody now of (current versions of) mail clients that do _not_ 
get this right?

-- 
Johan Herland, <[email-masked]>
www.herland.net